commit:     bc66fb100f851ddfcbf963930b65d42a63e3e17f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 11 05:56:46 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 11 05:56:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc66fb10

x11-terms/xterm: (security) bump to 366

Bug: https://bugs.gentoo.org/769839
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-terms/xterm/Manifest         |  1 +
 x11-terms/xterm/xterm-366.ebuild | 99 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/x11-terms/xterm/Manifest b/x11-terms/xterm/Manifest
index e7b7978379a..5a1302d346b 100644
--- a/x11-terms/xterm/Manifest
+++ b/x11-terms/xterm/Manifest
@@ -1,3 +1,4 @@
 DIST xterm-351.tgz 1401009 BLAKE2B 
df32425affce33deb199710be118e90da7b1975882aaf92ff1ad5e976ac18f280cf7d72362d82c0ff9f9530d8da3ba133e345ff9de7f0ac0a2134200c9cc87e6
 SHA512 
941507be19ad062b39c57288c6e28a17f0ceba090a2d1c3f626f638e5333ca9b4c762fe2fbc42908adf7854b00d9a98cb6eb7481dfa50fd0125459f8ca385c00
 DIST xterm-363.tgz 1442520 BLAKE2B 
f63efde533f9d495c3d6b744544e592608d2731f04af58a9d799f8ca7d705c81c507d9012fc4a1bd04b3e4c0a76fc00557d1a61cd9954f5fb2bf7b5ec624764f
 SHA512 
e9148f144e5e38597c84ccd82033f4fb83a9dd222c4cecf7498e31065e7d0148c89631290e5f804fcd9d2d55f59f4fd271aaf220eb636fbe38ae245ea6537871
 DIST xterm-365.tgz 1444367 BLAKE2B 
efb4ce024b7a196955c160e10aadc54d97da1df6e53b9ca79184382a1db939583e52f66ed4df1f586a33b9febda6ac51dc66a9f2cd69bb04296c934aae7e7571
 SHA512 
3f6571d09cd3fa94e9133494a2893e804ea0f0c76289d4a7e46e3ea267278042f0e78231ff4b06ee6d7ba5936dc3e2e6c81a8f52c36d79a8ddf3cfaa59376970
+DIST xterm-366.tgz 1445992 BLAKE2B 
4724851b84ae0682b39e5f1b070ba9f04c627511aa20a5b1c76e740666e14436a0095d8a1be4f6ad54eb1e5d841ef766b0bf4d840ebddcaea0889285f1377900
 SHA512 
ffab7e0970b92a25488bd57da2dfe2856279208c489a632e0e92788deec2a4f99510f76e1c88e55f389dfe984c323add0fab31b04d2a1d774ce6d3b2c9c642ef

diff --git a/x11-terms/xterm/xterm-366.ebuild b/x11-terms/xterm/xterm-366.ebuild
new file mode 100644
index 00000000000..0102172747d
--- /dev/null
+++ b/x11-terms/xterm/xterm-366.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop flag-o-matic
+
+DESCRIPTION="Terminal Emulator for X Windows"
+HOMEPAGE="https://invisible-island.net/xterm/";
+SRC_URI="ftp://ftp.invisible-island.net/${PN}/${P}.tgz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+openpty sixel toolbar truetype unicode Xaw3d xinerama"
+
+BDEPEND="virtual/pkgconfig
+       x11-base/xorg-proto"
+DEPEND="kernel_linux? ( sys-libs/libutempter )
+       kernel_FreeBSD? ( sys-libs/libutempter )
+       media-libs/fontconfig:1.0
+       >=sys-libs/ncurses-5.7-r7:0=
+       x11-apps/xmessage
+       x11-libs/libICE
+       x11-libs/libX11
+       x11-libs/libXaw
+       x11-libs/libXft
+       x11-libs/libxkbfile
+       x11-libs/libXmu
+       x11-libs/libXrender
+       x11-libs/libXt
+       unicode? ( x11-apps/luit )
+       Xaw3d? ( x11-libs/libXaw3d )
+       xinerama? ( x11-libs/libXinerama )"
+RDEPEND="${DEPEND}
+       media-fonts/font-misc-misc
+       x11-apps/rgb"
+
+DOCS=( README{,.i18n} ctlseqs.txt )
+
+pkg_setup() {
+       DEFAULTS_DIR="${EPREFIX}"/usr/share/X11/app-defaults
+}
+
+src_configure() {
+       # 454736
+       # Workaround for ncurses[tinfo] until upstream fixes their buildsystem 
using
+       # something sane like pkg-config or ncurses5-config and stops guessing 
libs
+       # Everything gets linked against ncurses anyways, so don't shout
+       append-libs $(pkg-config --libs ncurses)
+
+       local myeconfargs=(
+               --disable-full-tgetent
+               --disable-imake
+               --disable-setgid
+               --disable-setuid
+               --enable-256-color
+               --enable-broken-osc
+               --enable-broken-st
+               --enable-dabbrev
+               --enable-exec-xterm
+               --enable-i18n
+               --enable-load-vt-fonts
+               --enable-logging
+               --enable-screen-dumps
+               --enable-warnings
+               --enable-wide-chars
+               --libdir="${EPREFIX}"/etc
+               --with-app-defaults="${DEFAULTS_DIR}"
+               --with-utempter
+               --with-x
+               $(use_enable openpty)
+               $(use_enable sixel sixel-graphics)
+               $(use_enable toolbar)
+               $(use_enable truetype freetype)
+               $(use_enable unicode luit)
+               $(use_enable unicode mini-luit)
+               $(use_with Xaw3d)
+               $(use_with xinerama)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       docinto html
+       dodoc xterm.log.html
+       domenu *.desktop
+
+       # Fix permissions -- it grabs them from live system, and they can
+       # be suid or sgid like they were in pre-unix98 pty or pre-utempter days,
+       # respectively (#69510).
+       # (info from Thomas Dickey) - Donnie Berkholz <[email protected]>
+       fperms 0755 /usr/bin/xterm
+
+       # restore the navy blue
+       sed -i -e 's:blue2$:blue:' "${ED}${DEFAULTS_DIR}"/XTerm-color || die
+}

Reply via email to